org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.shaded

## Class ShadedInputAdapter

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.shaded.ShadedInputAdapter

- All Implemented Interfaces:
    InputShim

      public class ShadedInputAdapter
      extends Object
      implements InputShim

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShadedInputAdapter(org.apache.tinkerpop.shaded.kryo.io.Input shadedInput)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `readBoolean()`
    `byte` | `readByte()`
    `byte[]` | `readBytes(int size)`
    `double` | `readDouble()`
    `int` | `readInt()`
    `long` | `readLong()`
    `short` | `readShort()`
    `String` | `readString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShadedInputAdapter

          public ShadedInputAdapter(org.apache.tinkerpop.shaded.kryo.io.Input shadedInput)

  - ### Method Detail

    - #### readShort

          public short readShort()

      Specified by:
        `readShort` in interface `InputShim`

    - #### readByte

          public byte readByte()

      Specified by:
        `readByte` in interface `InputShim`

    - #### readBytes

          public byte[] readBytes(int size)

      Specified by:
        `readBytes` in interface `InputShim`

    - #### readString

          public String readString()

      Specified by:
        `readString` in interface `InputShim`

    - #### readLong

          public long readLong()

      Specified by:
        `readLong` in interface `InputShim`

    - #### readInt

          public int readInt()

      Specified by:
        `readInt` in interface `InputShim`

    - #### readDouble

          public double readDouble()

      Specified by:
        `readDouble` in interface `InputShim`

    - #### readBoolean

          public boolean readBoolean()

      Specified by:
        `readBoolean` in interface `InputShim`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.